package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsArticle;
import com.fs.his.param.FsArticleListUParam;
import com.fs.his.vo.FsArticleListUVO;
import com.fs.his.vo.FsArticleListVO;
import com.fs.his.vo.FsArticleVO;

/**
 * 文章Service接口
 *
 * @author fs
 * @date 2023-07-04
 */
public interface IFsArticleService
{
    /**
     * 查询文章
     *
     * @param articleId 文章主键
     * @return 文章
     */
    public FsArticle selectFsArticleByArticleId(Long articleId);

    /**
     * 查询文章列表
     *
     * @param fsArticle 文章
     * @return 文章集合
     */
    public List<FsArticle> selectFsArticleList(FsArticle fsArticle);

    /**
     * 新增文章
     *
     * @param fsArticle 文章
     * @return 结果
     */
    public int insertFsArticle(FsArticle fsArticle);

    /**
     * 修改文章
     *
     * @param fsArticle 文章
     * @return 结果
     */
    public int updateFsArticle(FsArticle fsArticle);

    /**
     * 批量删除文章
     *
     * @param articleIds 需要删除的文章主键集合
     * @return 结果
     */
    public int deleteFsArticleByArticleIds(Long[] articleIds);

    /**
     * 删除文章信息
     *
     * @param articleId 文章主键
     * @return 结果
     */
    public int deleteFsArticleByArticleId(Long articleId);

    List<FsArticleListUVO> selectFsArticleListUVO(FsArticleListUParam param);

    int updateFsArticleViews(Long articleId);

    List<FsArticleListVO> selectFsArticleListVO(FsArticle fsArticle);
}
